<?php
	//header('Content-Type: text/plain');
    require ("autoload.php");

    //$reniec = new \Reniec\Reniec(); // Datos de Reniec (Padron de Electores)
    $essalud = new \EsSalud\EsSalud(); // Datos EsSalud
	//$mintra = new \MinTra\mintra(); // Datos Ministerio del Trabajo
	
	//$dni = "45841369";
	$dni=$_POST['numdoc'];
    //$persona1 = $reniec->search( $dni );
    $persona2 = $essalud->check( $dni );
    //$persona3 = $mintra->check( $dni );
    
    /*if( $persona1->success ) // si la busqueda es exitosa
	{
		print_r( $persona1->result );
	}*/
	
	if( $persona2->success )
	{
		//print_r( $persona2->result );
		echo (json_encode( $persona2->result, JSON_UNESCAPED_UNICODE));
	}
	
	/*if( $persona3->success )
	{
		print_r( $persona3->result );
	}*/
?>